import type { AjaxInstance, AjaxOption, AxiosMethods } from './types';
export interface RequestCreator<COPT extends Object, GDataShape extends Object = any> {
    <DataType = GDataShape>(url: string, options?: Partial<AjaxOption & COPT>): {
        (params?: Object | null, opts?: Partial<AjaxOption & COPT>): Promise<DataType>;
    };
}
export declare const generateMethod: <COPT extends Object = {}, GDataShape extends Object = any>(ajax: AjaxInstance<COPT, any>, method: AxiosMethods) => RequestCreator<COPT, GDataShape>;
